#
# spec file for package libArcus-lulzbot
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover 3
Name:           libArcus-lulzbot
Version:        3.6.1
Release:        13.3
Summary:        3D printer control software
License:        LGPL-3.0-only
Group:          Development/Libraries/C and C++
Url:            https://code.alephobjects.com/source/arcus.git
Source:         libArcus-%{version}.tar.xz
Patch1:         fix-build.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  protobuf-c
BuildRequires:  protobuf-devel
BuildRequires:  python3-sip-devel
BuildRequires:  pkgconfig(libprotobuf-c)

%description
Communication library between internal components for cura ulzbot edition.

The lulzbot edition is incompatible to the ultimaker one.

%package -n libArcus%{sover}-lulzbot
Summary:        3D printer control software
Group:          System/Libraries
Conflicts:      libArcus%{sover}

%description -n libArcus%{sover}-lulzbot
Communication library between internal components for cura lulzbot edition

%package devel
Summary:        Header files for libArcus
Group:          Development/Libraries/C and C++
Conflicts:      libArcus-devel
Requires:       libArcus%{sover}-lulzbot = %{version}
Requires:       protobuf-devel
Requires:       python3-sip-devel
Requires:       pkgconfig(libprotobuf-c)

%description devel

%prep
%setup -q -n libArcus-%version
%patch1 -p1

%build
%cmake
make %{?_smp_mflags}

%install
cd build
%make_install

%post   -n libArcus%{sover}-lulzbot -p /sbin/ldconfig
%postun -n libArcus%{sover}-lulzbot -p /sbin/ldconfig

%files devel
%doc TODO.md
/usr/include/Arcus
%_libdir/cmake/Arcus
%_libdir/libArcus.so

%files -n libArcus%{sover}-lulzbot
%license LICENSE
%doc README.md
%{python3_sitearch}/Arcus.so
%_libdir/libArcus.so.*

%changelog
* Wed Jan  2 2019 adrian@suse.de
- update to version 3.6.1
* Mon Jul 16 2018 adrian@suse.de
- follow license change to LGPL of the code
* Fri Jul 13 2018 adrian@suse.de
- update to version 3.2.23
  * no changes, just version bump
* Tue Jul  3 2018 adrian@suse.de
- update to version 3.2.22
  * no changes, just version bump
* Wed May 30 2018 adrian@suse.de
- update to version 3.2.21
  * no changes, just version bump
* Mon May 14 2018 adrian@suse.de
- update to version 3.2.20
  * no changes, just version bump
* Wed May  2 2018 adrian@suse.de
- update to version 3.2.19
  * no changes, just version bump
* Mon Mar 26 2018 adrian@suse.de
- update to version 3.2.18
  * no changes, just version bump
* Thu Mar  8 2018 adrian@suse.de
- update to version 3.2.9
  * no changes, just version bump
* Mon Mar  5 2018 adrian@suse.de
- update to version 3.2.7
  * no changes, just version bump
* Wed Jan 31 2018 jengelh@inai.de
- Fix RPM groups. Rename %%soname to %%sover to reflect its use.
* Wed Jan 31 2018 adrian@suse.de
- update to version 3.2.1
* Thu Jan 25 2018 adrian@suse.de
- update to version 2.6.66
* Wed Jan  3 2018 adrian@suse.de
- update to version 2.6.63
* Mon Sep  4 2017 adrian@suse.de
- update to version 2.6.23
* Mon Jun 26 2017 adrian@suse.de
- switch to stable version 2.6.0
* Mon Jun 20 2016 adrian@suse.de
- initial package of git master version
  (stable ones need old development snapshots for protobuf)
